Bug 109010 - No access to APIs for streaming of LOBs into the DB
No access to APIs for streaming of LOBs into the DB
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-04 05:49 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:27:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-04 05:49:43 EST
Description of problem:

All common JDBC drivers provide APIs for streaming of LOBs in & out of
the DB. These APIs, however, are not exposed/used by persistence, so
applications have to pull the entire LOB into memory when
reading/writing. This is not at all good for scalability of
applications using LOBs, such as CMS images / file attachments / Doc
Manager. A mere 10 users downloading 35 MB files will use up at *best*
350 MB, potentially some multiple of this amount if the byte[] are
copied in memory ever. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:27:32 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.